import { Base, Question, LocalizableString } from "survey-core";
import { type Ref } from "vue";
export declare function makeReactive(surveyElement: Base): void;
export declare function isBaseElementSubsribed(surveyElement: Base): boolean;
export declare function unMakeReactive(surveyElement?: Base): void;
export declare function useBase<T extends Base>(getModel: () => T, onModelChanged?: (newValue: T, oldValue?: T) => void, clean?: (model: T) => void): void;
export declare function useQuestion<T extends Question>(props: {
    question: T;
}, root: Ref, onQuestionChanged?: (newValue: T) => void, clean?: (question: T) => void): void;
export declare function useLocString(getLocString: () => LocalizableString): Ref<string>;
export declare function getComponentName(question: Question): string;
export declare function useComputedArray<T>(func: () => Array<T>): import("vue").ShallowRef<any>;
